var g_ball_radius = 3.0;
var g_field_center_x = 320.0;
var g_field_center_z = 320.0;
var g_field_length = 450.0 - g_ball_radius * 2.0;
var g_field_width = 281.25 - g_ball_radius * 2.0;
var g_goal_width = 96.0 - g_ball_radius * 2.0;
var g_field_min_x = g_field_center_x - g_field_length * 0.5;
var g_field_max_x = g_field_center_x + g_field_length * 0.5;
var g_field_min_z = g_field_center_z - g_field_width * 0.5;
var g_field_max_z = g_field_center_z + g_field_width * 0.5;

function circle() {
	var i, a, x, z;

	for (i = 0; i < 20; i++) {
		a = Math.PI * 2.0 * (i / 20.0);
		x = 320.0 - Math.cos(a) * 30.0;
		z = 320.0 + Math.sin(a) * 30.0;
		print("[" + x.toFixed(2) + " " + z.toFixed(3) + "] " + a.toFixed(5) + " 10 0.125 @motoball_media/chalkcircle30r18d.png")
	}
}

function lines() {
	var i, n, l;

	n = Math.ceil(g_field_length / 9.5);

	for (i = 0; i <= n; i++)
		print("[" + (g_field_min_x + 4.75 + (i / n) * (g_field_length - 9.5)).toFixed(2) + " " + g_field_min_z.toFixed(2) + "] "
		 + (Math.PI * 0.5).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
	for (i = 0; i <= n; i++)
		print("[" + (g_field_min_x + 4.75 + (i / n) * (g_field_length - 9.5)).toFixed(2) + " " + g_field_max_z.toFixed(2) + "] "
		 + (Math.PI * 0.5).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")

	l = 18 * 3;
	n = Math.ceil(l / 9.5);
	for (i = 0; i <= n; i++)
		print("[" + (g_field_min_x + 4.75 + (i / n) * (l - 9.5)).toFixed(2) + " " + (g_field_center_z - 44 * 3 / 2).toFixed(2) + "] "
		 + (Math.PI * 0.5).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
	for (i = 0; i <= n; i++)
		print("[" + (g_field_min_x + 4.75 + (i / n) * (l - 9.5)).toFixed(2) + " " + (g_field_center_z + 44 * 3 / 2).toFixed(2) + "] "
		 + (Math.PI * 0.5).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
	for (i = 0; i <= n; i++)
		print("[" + (g_field_max_x - 18 * 3 + 4.75 + (i / n) * (l - 9.5)).toFixed(2) + " " + (g_field_center_z - 44 * 3 / 2).toFixed(2) + "] "
		 + (Math.PI * 0.5).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
	for (i = 0; i <= n; i++)
		print("[" + (g_field_max_x - 18 * 3 + 4.75 + (i / n) * (l - 9.5)).toFixed(2) + " " + (g_field_center_z + 44 * 3 / 2).toFixed(2) + "] "
		 + (Math.PI * 0.5).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")

	n = Math.ceil(g_field_width / 9.5);

	for (i = 0; i <= n; i++)
		print("[" + g_field_min_x.toFixed(2) + " " + (g_field_min_z + 4.75 + (i / n) * (g_field_width - 9.5)).toFixed(2) + "] "
		 + (Math.PI * 0.0).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
	for (i = 0; i <= n; i++)
		print("[" + g_field_max_x.toFixed(2) + " " + (g_field_min_z + 4.75 + (i / n) * (g_field_width - 9.5)).toFixed(2) + "] "
		 + (Math.PI * 0.0).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
	for (i = 0; i <= n; i++)
		print("[" + g_field_center_x.toFixed(2) + " " + (g_field_min_z + 4.75 + (i / n) * (g_field_width - 9.5)).toFixed(2) + "] "
		 + (Math.PI * 0.0).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")

	l = 44 * 3;
	n = Math.ceil(l / 9.5);
	for (i = 0; i <= n; i++)
		print("[" + (g_field_min_x + 18 * 3).toFixed(2) + " " + (g_field_center_z - l / 2 + 4.75 + (i / n) * (l - 9.5)).toFixed(2) + "] "
		 + (Math.PI * 0.0).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
	for (i = 0; i <= n; i++)
		print("[" + (g_field_max_x - 18 * 3).toFixed(2) + " " + (g_field_center_z - l / 2 + 4.75 + (i / n) * (l - 9.5)).toFixed(2) + "] "
		 + (Math.PI * 0.0).toFixed(5) + " 10 0.0625 @motoball_media/chalkline10.png")
}

circle();
lines();